package org.wfc.omada.api.msp.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.Objects;

/**
 * MspExternalUserDetailOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:44:08.065+08:00[Asia/Shanghai]")

public class MspExternalUserDetailOpenApiVo   {
  @JsonProperty("id")
  private String id;

  @JsonProperty("name")
  private String name;

  @JsonProperty("idpId")
  private String idpId;

  @JsonProperty("idpName")
  private String idpName;

  @JsonProperty("roleId")
  private String roleId;

  @JsonProperty("roleName")
  private String roleName;

  @JsonProperty("customerRoleId")
  private String customerRoleId;

  @JsonProperty("customerRoleName")
  private String customerRoleName;

  @JsonProperty("mspPrivilege")
  private MspPrivilegeOpenApiVo mspPrivilege;

  public MspExternalUserDetailOpenApiVo id(String id) {
    this.id = id;
    return this;
  }

  /**
   * External user ID.
   * @return id
  */
  @ApiModelProperty(value = "External user ID.")


  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public MspExternalUserDetailOpenApiVo name(String name) {
    this.name = name;
    return this;
  }

  /**
   * External user name.
   * @return name
  */
  @ApiModelProperty(value = "External user name.")


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public MspExternalUserDetailOpenApiVo idpId(String idpId) {
    this.idpId = idpId;
    return this;
  }

  /**
   * The ID of IdP which is used by this user.
   * @return idpId
  */
  @ApiModelProperty(value = "The ID of IdP which is used by this user.")


  public String getIdpId() {
    return idpId;
  }

  public void setIdpId(String idpId) {
    this.idpId = idpId;
  }

  public MspExternalUserDetailOpenApiVo idpName(String idpName) {
    this.idpName = idpName;
    return this;
  }

  /**
   * The name of IdP which is used by this user.
   * @return idpName
  */
  @ApiModelProperty(value = "The name of IdP which is used by this user.")


  public String getIdpName() {
    return idpName;
  }

  public void setIdpName(String idpName) {
    this.idpName = idpName;
  }

  public MspExternalUserDetailOpenApiVo roleId(String roleId) {
    this.roleId = roleId;
    return this;
  }

  /**
   * The ID of role which is used by this user.
   * @return roleId
  */
  @ApiModelProperty(value = "The ID of role which is used by this user.")


  public String getRoleId() {
    return roleId;
  }

  public void setRoleId(String roleId) {
    this.roleId = roleId;
  }

  public MspExternalUserDetailOpenApiVo roleName(String roleName) {
    this.roleName = roleName;
    return this;
  }

  /**
   * The name of role which is used by this user.
   * @return roleName
  */
  @ApiModelProperty(value = "The name of role which is used by this user.")


  public String getRoleName() {
    return roleName;
  }

  public void setRoleName(String roleName) {
    this.roleName = roleName;
  }

  public MspExternalUserDetailOpenApiVo customerRoleId(String customerRoleId) {
    this.customerRoleId = customerRoleId;
    return this;
  }

  /**
   * The ID of customer role which is used by this user.
   * @return customerRoleId
  */
  @ApiModelProperty(value = "The ID of customer role which is used by this user.")


  public String getCustomerRoleId() {
    return customerRoleId;
  }

  public void setCustomerRoleId(String customerRoleId) {
    this.customerRoleId = customerRoleId;
  }

  public MspExternalUserDetailOpenApiVo customerRoleName(String customerRoleName) {
    this.customerRoleName = customerRoleName;
    return this;
  }

  /**
   * The name of customer role which is used by this user.
   * @return customerRoleName
  */
  @ApiModelProperty(value = "The name of customer role which is used by this user.")


  public String getCustomerRoleName() {
    return customerRoleName;
  }

  public void setCustomerRoleName(String customerRoleName) {
    this.customerRoleName = customerRoleName;
  }

  public MspExternalUserDetailOpenApiVo mspPrivilege(MspPrivilegeOpenApiVo mspPrivilege) {
    this.mspPrivilege = mspPrivilege;
    return this;
  }

  /**
   * Get mspPrivilege
   * @return mspPrivilege
  */
  @ApiModelProperty(value = "")

  @Valid

  public MspPrivilegeOpenApiVo getMspPrivilege() {
    return mspPrivilege;
  }

  public void setMspPrivilege(MspPrivilegeOpenApiVo mspPrivilege) {
    this.mspPrivilege = mspPrivilege;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    MspExternalUserDetailOpenApiVo mspExternalUserDetailOpenApiVo = (MspExternalUserDetailOpenApiVo) o;
    return Objects.equals(this.id, mspExternalUserDetailOpenApiVo.id) &&
        Objects.equals(this.name, mspExternalUserDetailOpenApiVo.name) &&
        Objects.equals(this.idpId, mspExternalUserDetailOpenApiVo.idpId) &&
        Objects.equals(this.idpName, mspExternalUserDetailOpenApiVo.idpName) &&
        Objects.equals(this.roleId, mspExternalUserDetailOpenApiVo.roleId) &&
        Objects.equals(this.roleName, mspExternalUserDetailOpenApiVo.roleName) &&
        Objects.equals(this.customerRoleId, mspExternalUserDetailOpenApiVo.customerRoleId) &&
        Objects.equals(this.customerRoleName, mspExternalUserDetailOpenApiVo.customerRoleName) &&
        Objects.equals(this.mspPrivilege, mspExternalUserDetailOpenApiVo.mspPrivilege);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, name, idpId, idpName, roleId, roleName, customerRoleId, customerRoleName, mspPrivilege);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class MspExternalUserDetailOpenApiVo {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    idpId: ").append(toIndentedString(idpId)).append("\n");
    sb.append("    idpName: ").append(toIndentedString(idpName)).append("\n");
    sb.append("    roleId: ").append(toIndentedString(roleId)).append("\n");
    sb.append("    roleName: ").append(toIndentedString(roleName)).append("\n");
    sb.append("    customerRoleId: ").append(toIndentedString(customerRoleId)).append("\n");
    sb.append("    customerRoleName: ").append(toIndentedString(customerRoleName)).append("\n");
    sb.append("    mspPrivilege: ").append(toIndentedString(mspPrivilege)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

